SingleColumnRestriction.INRestriction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.INRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.INRestriction

- All Implemented Interfaces:
    Restriction, SingleRestriction
  Direct Known Subclasses:
    SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.SuperColumnKeyINRestriction
  Enclosing class:
    SingleColumnRestriction

      public abstract static class SingleColumnRestriction.INRestriction
      extends SingleColumnRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `SingleColumnRestriction.ContainsRestriction, SingleColumnRestriction.EQRestriction, SingleColumnRestriction.INRestriction, SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.IsNotNullRestriction, SingleColumnRestriction.LikeRestriction, SingleColumnRestriction.SliceRestriction, SingleColumnRestriction.SuperColumnKeyEQRestriction, SingleColumnRestriction.SuperColumnKeyINRestriction, SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues, SingleColumnRestriction.SuperColumnKeySliceRestriction, SingleColumnRestriction.SuperColumnMultiEQRestriction, SingleColumnRestriction.SuperColumnMultiSliceRestriction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `columnDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `INRestriction(ColumnDefinition columnDef)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRowFilterTo(RowFilter filter, SecondaryIndexManager indexManager, QueryOptions options)` Adds to the specified row filter the expressions corresponding to this `Restriction`.
    `MultiCBuilder` | `appendTo(MultiCBuilder builder, QueryOptions options)` Appends the values of this `SingleRestriction` to the specified builder.
    `SingleRestriction` | `doMergeWith(SingleRestriction otherRestriction)`
    `protected abstract java.util.List<java.nio.ByteBuffer>` | `getValues(QueryOptions options)`
    `boolean` | `isIN()`
    `protected boolean` | `isSupportedBy(Index index)` Check if this type of restriction is supported by the specified index.

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

      `appendBoundTo, hasBound, isContains, isEQ, isInclusive, isLIKE, isMultiColumn, isNotNull, isSlice`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

      `addFunctionsTo, isOnToken`

- - ### Constructor Detail

    - #### INRestriction

          public INRestriction(ColumnDefinition columnDef)

  - ### Method Detail

    - #### isIN

          public final boolean isIN()

    - #### doMergeWith

          public final SingleRestriction doMergeWith(SingleRestriction otherRestriction)

      Specified by:
        `doMergeWith` in class `SingleColumnRestriction`

    - #### appendTo

          public MultiCBuilder appendTo(MultiCBuilder builder,
                                        QueryOptions options)

      Description copied from interface: `SingleRestriction`
      Appends the values of this `SingleRestriction` to the specified builder.
      Parameters:
        `builder` - the `MultiCBuilder` to append to.
        `options` - the query options
      Returns:
        the `MultiCBuilder`

    - #### addRowFilterTo

          public void addRowFilterTo(RowFilter filter,
                                     SecondaryIndexManager indexManager,
                                     QueryOptions options)

      Description copied from interface: `Restriction`
      Adds to the specified row filter the expressions corresponding to this `Restriction`.
      Parameters:
        `filter` - the row filter to add expressions to
        `indexManager` - the secondary index manager
        `options` - the query options

    - #### isSupportedBy

          protected final boolean isSupportedBy(Index index)

      Description copied from class: `SingleColumnRestriction`
      Check if this type of restriction is supported by the specified index.
      Specified by:
        `isSupportedBy` in class `SingleColumnRestriction`
      Parameters:
        `index` - the secondary index
      Returns:
        `true` this type of restriction is supported by the specified index, `false` otherwise.

    - #### getValues

          protected abstract java.util.List<java.nio.ByteBuffer> getValues(QueryOptions options)

Copyright © 2018 The Apache Software Foundation